Arch Check/ru: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
Line 15: Line 15:
</div>
</div>


<span id="Description"></span>
==Описание==
==Описание==


Line 21: Line 22:
</div>
</div>


<span id="Usage"></span>
<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
==Использование==
==Использование==
Line 29: Line 31:
</div>
</div>


<span id="Scripting"></span>
<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
==Скрипты==
==Скрипты==
</div>
</div>


{{Emphasis|See also:}} [[Arch_API|Arch API]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
This tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using the following function:

This tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following function:
{{Code|code=
{{Code|code=
list_bad = check(objectslist, includehidden=False)
list_bad = check(objectslist, includehidden=False)

Latest revision as of 11:59, 19 May 2023

Arch Check

Системное название
Arch Check
Расположение в меню
Архитектура → Утилиты → Проверь
Верстаки
Arch
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Убрать отверстия

Описание

Этот инструмент проверяет текущий документ или выбранные объекты для объектов с твердым объектом Part или Arch, что может вызвать проблемы, поскольку большинство операций модуля Arch требуют твердых объектов.

Использование

  1. # Нажмите кнопку Checkв меню Arch → Utilities menu

Скрипты

See also: Arch API and FreeCAD Scripting Basics.

This tool can be used in macros and from the Python console by using the following function:

list_bad = check(objectslist, includehidden=False)
  • Checks if the given objects in objectslist contain only solids.
  • If includehidden is True it will include all hidden objects, otherwise it will omit them from the search.
  • Returns list_bad, a list with the objects that are not derived from a Part::Feature, or components that are not closed, not valid, don't contain solids, or that contain faces that are not part of any solid. This is used to detect Arch or Draft wires and profiles that aren't solids.
    • Each element in list_bad is another list [object, message], where object is the detected non-solid, and message indicates the reason why it was included in this list.

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Wall2 = Arch.makeWall(None, length=2000, width=200, height=1000)
FreeCAD.ActiveDocument.recompute()

Circle = Draft.makeCircle(450)
Wire = Draft.makeWire([FreeCAD.Vector(1000, 0, 0), FreeCAD.Vector(1500, 1000, 0), FreeCAD.Vector(2500, -1000, 0)])

list_bad = Arch.check([Wall1, Wall2, Circle, Wire], includehidden=True)
print(list_bad)